DAVIX-MV(1)

NAME
davix-mv - Rename tool based on libdavix

SYNOPSIS

    davix-mv [options]... original-url new-url

DESCRIPTION
davix-mv is a tool to rename/move resources with HTTP, Webdav or REST compatible services.
The commands can rename/move resources and resources containers.

davix-mv is powered by libdavix. See libdavix(3) for details.

OPTIONS

Common Options:

    --debug
    Debug mode

    --header, -H
    Add a header field to the request (eg: -H "Depth: 1" )

    --help, -h
    Display this help message

    --metalink OPT
    Metalink support. (OPT=failover[default]|no)

    --module, -P PLUGIN_NAME
    Load a plugin or profile by name

    --redirection OPT
    Transparent redirection support. (OPT=yes[default]|no)

    --proxy, -x URL
    SOCKS5 proxy server URL. (ex: socks5://login:pass@socks.example.org)

    --trace
    Traces specific scope(s), options include:
    file - Davix file interface
    posix - Davix POSIX interface
    xml - XML parser output
    ssl - SSL and certs details
    header - HTTP queries headers
    body - HTTP bodies
    chain - IO chains info
    core - Config and misc info
    grid - Misc info from 3rd parties
    socket - Socket info
    locks - WebDAV locking info
    all - Traces everything

    --version
    Display version

Security Options:

    --capath CA_path
    Add an additional certificate authority directory

    --cert, -E cred_path
    Client Certificate in PEM format

    --key priv_path
    Private key in PEM format

    --insecure, -k
    Disable SSL credential checks

    --userlogin
    User login for login/password authentication

    --userpass
    User password for login/password authentication

    --s3secretkey
    AWS S3 authentication: secret key

    --s3accesskey
    AWS S3 authentication: access key

    --s3region
    AWS S3 authentication: region

    --s3token
    AWS S3 security token - used along with STS temporary credentials

    --s3alternate
    Specify this flag if you need to use a path-based S3 URL

    --azurekey
    Azure authentication key

EXAMPLES

Rename a resource over HTTP
        davix-mv http://example.org/rename_me.txt http://example.org/thanks.txt

Move a resource on a Grid Storage with VOMS authentication
        davix-mv -P grid davs://grid-storage.example.org/dir1/dir2/move_me.txt davs://grid-storage.example.org/dir1/move_me.txt

SEE ALSO
libdavix(3),davix-ls(1),davix-get(1),davix-put(1),

LINKS
http://dmc.web.cern.ch/projects/davix/home

AUTHORS
Adrien Devresse <adrien.devresse@cern.ch>, IT-SDC-ID, CERN